# Uses of Interface
org.springframework.aop.framework.adapter.AdvisorAdapterRegistry

Packages that use AdvisorAdapterRegistry
Package
Description
org.springframework.aop.framework
Package containing Spring's basic AOP infrastructure, compliant with the AOP Alliance interfaces.
org.springframework.aop.framework.adapter
SPI package allowing Spring AOP framework to handle arbitrary advice types.
org.springframework.aop.framework.autoproxy
Bean post-processors for use in ApplicationContexts to simplify AOP usage by automatically creating AOP proxies without the need to use a ProxyFactoryBean.

## Uses of AdvisorAdapterRegistry in org.springframework.aop.framework

Methods in org.springframework.aop.framework with parameters of type AdvisorAdapterRegistry
Modifier and Type
Method
Description
`void`
AbstractSingletonProxyFactoryBean.`setAdvisorAdapterRegistry(AdvisorAdapterRegistry advisorAdapterRegistry)`
Specify the AdvisorAdapterRegistry to use.
`void`
ProxyFactoryBean.`setAdvisorAdapterRegistry(AdvisorAdapterRegistry advisorAdapterRegistry)`
Specify the AdvisorAdapterRegistry to use.

## Uses of AdvisorAdapterRegistry in org.springframework.aop.framework.adapter

Classes in org.springframework.aop.framework.adapter that implement AdvisorAdapterRegistry
Modifier and Type
Class
Description
`class`
`DefaultAdvisorAdapterRegistry`
Default implementation of the `AdvisorAdapterRegistry` interface.
Methods in org.springframework.aop.framework.adapter that return AdvisorAdapterRegistry
Modifier and Type
Method
Description
`static AdvisorAdapterRegistry`
GlobalAdvisorAdapterRegistry.`getInstance()`
Return the singleton `DefaultAdvisorAdapterRegistry` instance.
Methods in org.springframework.aop.framework.adapter with parameters of type AdvisorAdapterRegistry
Modifier and Type
Method
Description
`void`
AdvisorAdapterRegistrationManager.`setAdvisorAdapterRegistry(AdvisorAdapterRegistry advisorAdapterRegistry)`
Specify the AdvisorAdapterRegistry to register AdvisorAdapter beans with.

## Uses of AdvisorAdapterRegistry in org.springframework.aop.framework.autoproxy

Methods in org.springframework.aop.framework.autoproxy with parameters of type AdvisorAdapterRegistry
Modifier and Type
Method
Description
`void`
AbstractAutoProxyCreator.`setAdvisorAdapterRegistry(AdvisorAdapterRegistry advisorAdapterRegistry)`
Specify the `AdvisorAdapterRegistry` to use.